#!/bin/tcsh -f
# JLdL 25Nov14.
#
# This script was used to produce the data for Figure 05 of the paper.
#
# Set the basic name.
set name = `basename $0 | cut -d. -f1`
#
# If program is old or not available, make it.
make $name
#
# Set the sub-interval flags.
set flags = ( +1 +0 -1 )
#
# Set the maximum error.
set ermax = 1.0e-6
#
# Initialize the list of file arguments.
set args = ""
#
# Write out some progress report.
echo "producing the data..."
#
# Loop over the flags.
foreach flag ( $flags )
    #
    # Produce the data.
    echo "$flag\n$ermax" | ./$name > ! $name$flag.dat
    #
    # Add the file argument to the list.
    set args = ( $args -nxy $name$flag.dat )
    #
end
#
# Write out some progress report.
echo "plotting the data..."
#
# Plot the data.
xmgrace -autoscale none -param $name.par $args
