#!/bin/tcsh -f
# JLdL 25Nov14.
#
# This script was used to test the production of "exact" data.
#
# Set the basic name.
set name = `basename $0 | cut -d. -f1`
#
# If program is old or not available, make it.
make $name
#
# Set the maximum error.
set ermax = ( 1.0e-16 )
#
# Initialize the list of file arguments.
set args = ""
#
# Write out some progress report.
echo -n 'building the "exact" function... '
#
# Produce the data.
echo $ermax | ./$name > ! ${name}_err=$ermax.dat
#
# Add the file argument to the list.
set args = ( $args ${name}_err=$ermax.dat )
#
# Write out some progress report.
echo -n "$ermax "
echo "done..."
#
# Write out some progress report.
echo "plotting the monitoring data..."
#
# Plot the data.
xmgrace -autoscale none -param $name.par $args
